import Taro, { Component } from '@tarojs/taro'
import { View, ScrollView, Block } from '@tarojs/components'
import './index.scss'
import Blank from '../../components/Blank'
import HouseCard from '../../components/HouseCard'

export default class extends Component {
  config = {
    navigationBarTitleText: '添加其他房源',
  }

  state = {

    houseList: [
      {
        apartmentName: 'A户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "万科安平园舍",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 205,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545456'
      }, {
        apartmentName: 'B户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "凤翔新城",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 206,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545333'
      },
    ],
  }

  componentWillMount() { }


  renderHead() {

    return (
      <View className="head">仅展示符合认筹条件的已预选房源,左侧勾选</View>


    );
  }

  renderHouses() {
    const { houseList } = this.state
    const hasData = houseList && houseList.length

    return hasData && (
      <Block>
        <ScrollView scrollY className="container">
          <CheckboxGroup onChange={this.CheckboxChange}>
            {
              houseList.map((item) => {
                return (
                  <Label class="checkbox" >
                    <Checkbox value={item.houseId} checked={item.checked} >
                      <View className="carditem" key={item.preselectionRecordId} >
                        <HouseCard summary={item} />
                      </View>
                    </Checkbox>
                  </Label>
                )
              })
            }
          </CheckboxGroup>
        </ScrollView >
        <View className="raise-box"> <View className="raise-btn">确认以上选择</View></View>
      </Block>
    )
  }


  renderBlank() {
    const { houseList } = this.state

    return !(houseList && houseList.length) && (
      <Blank tips="没有符合认筹条件的预选房源" />
    )
  }

  render() {
    return (
      <View className="add-house">
        {this.renderHead()}
        {this.renderBlank()}
        {this.renderHouses()}
      </View>
    )
  }
}