import Taro, { Component } from '@tarojs/taro'
import { View, Block } from '@tarojs/components'
import './index.scss'
import RaiseCard from '../../components/RaiseCard'
import Statement from '../../components/Statement'
import ConsultantItem from '../../components/ConsultantItem/index'

export default class raiseMoney extends Component {
  config = {
    navigationBarTitleText: '认筹确认'
  }
  state = {
    current: 3,
    houseList: [
      {
        apartmentName: 'A户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "万科安平园舍",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 205,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545456'
      }, {
        apartmentName: 'B户型',
        blockName: "1栋",
        buildingId: "9f021a59b2a714822894c23ccca8c2db",
        buildingImgList: null,
        buildingName: "凤翔新城",
        createDate: "2020-02-27T16:31:56",
        floorName: "1楼",
        houseId: "820",
        preselectionRecordId: 206,
        price: "111.00000000",
        roomName: "1户",
        saleBatchStatus: "1",
        status: 1,
        termname: "1期",
        unitName: "2单元",
        area1: '290',
        area2: '270',
        code: '2-09876545333'
      },
    ]

  }
  renderTop() {
    const tabList = [
      { title: '确认房源', value: 0 },
      { title: '阅读协议', value: 1 },
      { title: '填写资料', value: 2 },
      { title: '缴纳定金', value: 3 },
      { title: '认筹结果', value: 4 },
    ]
    const { current } = this.state

    return (
      <View className="top-con">
        {tabList.map((item, index) => (
          <View className="flex" key={index + 'top'} style={current == item.value ? 'color:#333;font-weight:700' : ''}>
            {item.title}
            {item.value != 4 &&
              <View className="flex" style="margin:0 12rpx 0 4rpx">
                <View className='right-icon'></View>
                <View className='right-icon icon2'></View>
                <View className='right-icon icon3'></View>
              </View>
            }

          </View>
        ))
        }
      </View>
    )
  }
  renderHouse() {
    const { houseList } = this.state
    return (
      <ScrollView scrollY className="container">
        {
          houseList.map(item => (
            <View key={item.preselectionRecordId} >
              <RaiseCard type="raiseMoney" summary={item} />
            </View>
          )
          )
        }
        <View className="addhouse">从<Text style="color:#BB9C79">预选记录</Text>中添加其他房源</View>
        <View className="addhouse">从<Text style="color:#F3B82E">房源列表</Text>中添加其他房源</View>
        <Statement style="margin-top:80rpx" />
      </ScrollView>
    )
  }
  renderAgreement() {
    return (
      <ScrollView scrollY className="container3">
        <View className="agent-box">
          <View className="center-title">线上选房协议</View>
          <View className="title">chgissvdsghuytredsvbnhjuytrewdsvbnmjkuytrewscvbnmkloiu6543ewsdcvbnmjkoiu65rewsazxcv bnmjytresazx nmjytredscvbnm,kuytrdszx nmjkuy6redsvbnjkoi675erdsfghjklio765ewdxc mjkuytredsxcvbnmki56resaxzc bnjku5redsx bmkju65eszx bnhjyu63wqazXCVHJKLOPIU7TR4QW	W345Y789P,KNB CXZaq1wet5uyjnhbv cxazQWETU67JM 	q1e3tyujm bncxzaa	QE35HYUJNB VCaegtyujm,n vcxzawset5hyujm bncvxza</View>
        </View>
      </ScrollView >
    )
  }
  renderProfile() {
    const item = { name: '哈哈哈1', phone: '138541369741', avatar: 'http://img5.imgtn.bdimg.com/it/u=3299138037,391931528&fm=26&gp=0.jpg' }

    return (
      <ScrollView scrollY className="container2">
        <View className="profile-box">
          <View className="title">我的个人信息</View>
          <View style="font-size:24rpx;color:#999;line-height:60rpx">除手机号外其他信息修改后会保存到个人信息中</View>
          <View className="profile-flex">
            <View className="title">我的置业顾问信息</View>
            <View className="choose">选择置业顾问</View>
          </View>
          <ConsultantItem
            data={item}
            style="padding:30rpx 0"
            type="raiseMoney"
            onClick={this.handleItemClick}>
          </ConsultantItem>
        </View>
      </ScrollView >
    )
  }
  renderMoney(){
    return (
      <ScrollView scrollY className="container2" style="padding:0 30rpx">
           <View className="profile-flex">
            <View className="title">认筹金额</View>
            <View className="price">30000 元</View>
          </View>
          <View className="center-title">线上选房协议</View>
      </ScrollView >
    )
  }
  nextStep(current) {
    this.setState({
      current: current + 1
    })
  }
  upStep(current) {
    this.setState({
      current: current - 1
    })
  }
  renderBottomBtn() {
    const { current } = this.state
    return (
      <View className="bottom-btn">
        {current == 1 && <View style="font-size:24rpx;color:#999;line-height:70rpx">请仔细阅读选房协议直到结尾才能进入下一步</View>}
        {current != 4 && <View className="next-btn" onClick={() => this.nextStep(current)}>{current==3?'现在缴费':'下一步'}</View>}
        {current != 0 && <View className="up-btn" onClick={() => this.upStep(current)}>上一步</View>}
      </View>
    )
  }

  render() {
    const { current } = this.state
    return (
      <View className="raiseMoney">
        {this.renderTop()}
        {current == 0 && this.renderHouse()}
        {current == 1 && this.renderAgreement()}
        {current == 2 && this.renderProfile()}
        {current == 3 && this.renderMoney()}
        {this.renderBottomBtn()}
      </View>
    )
  }

}
